package br.ufsc.uid2uml.UIDElements;
/**
 * @author Patricia Vilain
 */
public class UIDException extends RuntimeException {
	
	public static final int UID_ERROR = 0;
	public static final int EXISTING_UID = 1;
	public static final int NOT_EXISTING_UID = 2;
	public static final int EQUALS_UIDS = 3;
	public static final int EXISTING_STATE = 4;
	public static final int NOT_EXISTING_STATE = 5;
	public static final int INITIAL_STATE_REMOVAL_NOT_ALLOWED = 6;
	public static final int EXISTING_DATA_ITEM = 7;
	public static final int NOT_EXISTING_DATA_ITEM = 8;
	public static final int EXISTING_STRUCTURE = 9;
	public static final int NOT_EXISTING_STRUCTURE = 10;
	public static final int EXISTING_TEXT = 11;
	public static final int NOT_EXISTING_TEXT = 12;
	public static final int NOT_EXISTING_STRUCTURE_OR_EXISTING_DATA_ITEM = 12;	
	public static final int EXISTING_TRANSITION = 13;
	public static final int NOT_EXISTING_TRANSITION = 14;
	public static final int EXISTING_UID_CALL = 15;
	public static final int EXISTING_SOURCE_UID = 16;
	

	public static final long serialVersionUID = -1;

	public final int errorCode;

	public UIDException(int errorCode, String message){
		super (message);
		this.errorCode = errorCode;
	}
	public UIDException(String message){
		super (message);
		this.errorCode = 0;
	}
}
