package br.ufsc.uid2uml.UIDElements;


/**
 * @author Patricia Vilain
 */
public class Text extends UIDElement{
	
	private String id;
	private String text;
	@SuppressWarnings("unused")
	private boolean optional = false;
	
	public Text (String id){
		this.id = id;
	}

	public void defineAsOptional (){
		this.optional = true;
	}
	
	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public String getId() {
		return id;
	}
}
