package br.ufsc.uid2uml.UMLDiagram;

public class Association {
	
	private Class sourceClass;
	private Class targetClass;
	private String name;
	private Integer sourceMinCardinality;
	private Integer sourceMaxCardinality;
	private Integer targetMinCardinality;
	private Integer targetMaxCardinality;
	
	public Association (Class source, Class target){
		this.sourceClass = source;
		this.targetClass = target;
		this.sourceMinCardinality = 1;
		this.sourceMaxCardinality = 1;
		this.targetMinCardinality = 1;
		this.targetMaxCardinality = 1;
		
	}

	public Association (Class source, Class target, Integer sourceMinCardinality, Integer sourceMaxCardinality,
						Integer targetMinCardinality, Integer targetMaxCardinality){
		this.sourceClass = source;
		this.targetClass = target;
		this.sourceMinCardinality = sourceMinCardinality;
		this.sourceMaxCardinality = sourceMaxCardinality;
		this.targetMinCardinality = targetMinCardinality;
		this.targetMaxCardinality = targetMaxCardinality;
	}

	public void setSourceClass(Class sourceClass) {
		this.sourceClass = sourceClass;
	}

	public void setTargetClass(Class targetClass) {
		this.targetClass = targetClass;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public String getName() {
		return this.name;
	}
	
	public Class getSourceClass() {
		return sourceClass;
	}

	public Class getTargetClass() {
		return targetClass;
	}

	public void setSourceMinCardinality(Integer value) {
		this.sourceMinCardinality = value;
	}

	public Integer getSourceMinCardinality() {
		return this.sourceMinCardinality;
	}

	public void setSourceMaxCardinality(Integer value) {
		this.sourceMaxCardinality = value;
	}

	public Integer getSourceMaxCardinality() {
		return this.sourceMaxCardinality;
	}

	public void setTargetMinCardinality(Integer value) {
		this.targetMinCardinality = value;
	}

	public Integer getTargetMinCardinality() {
		return this.targetMinCardinality;
	}

	public void setTargetMaxCardinality(Integer value) {
		this.targetMaxCardinality = value;
	}

	public Integer getTargetMaxCardinality() {
		return this.targetMaxCardinality;
	}

}
