package br.ufsc.uid2uml.UMLDiagram;
/**
 * @author Patricia Vilain
 */
public class ClassDiagramException extends RuntimeException {
	
	public static final int CLASS_DIAGRAM_ERROR = 0;
	public static final int EXISTING_CLASS = 1;
	public static final int NOT_EXISTING_CLASS = 2;
	public static final int EXISTING_ATTRIBUTE = 3;
	public static final int NOT_EXISTING_ATTRIBUTE = 4;
/**	public static final int INITIAL_STATE_REMOVAL_NOT_ALLOWED = 6;
	public static final int EXISTING_DATA_ITEM = 7;
	public static final int NOT_EXISTING_DATA_ITEM = 8;
	public static final int EXISTING_STRUCTURE = 9;
	public static final int NOT_EXISTING_STRUCTURE = 10;
	public static final int EXISTING_TEXT = 11;
	public static final int NOT_EXISTING_TEXT = 12;
	public static final int NOT_EXISTING_STRUCTURE_OR_EXISTING_DATA_ITEM = 12;	
	public static final int EXISTING_TRANSITION = 13;
	public static final int NOT_EXISTING_TRANSITION = 14;
**/

	public static final long serialVersionClassDiagram = -1;

	public final int errorCode;

	public ClassDiagramException(int errorCode, String message){
		super (message);
		this.errorCode = errorCode;
	}
	public ClassDiagramException(String message){
		super (message);
		this.errorCode = 0;
	}
}
